# CUE sheet

[![License BSD3](https://img.shields.io/badge/license-BSD3-brightgreen.svg)](http://opensource.org/licenses/BSD-3-Clause)
[![Hackage](https://img.shields.io/hackage/v/cue-sheet.svg?style=flat)](https://hackage.haskell.org/package/cue-sheet)
[![Stackage Nightly](http://stackage.org/package/cue-sheet/badge/nightly)](http://stackage.org/nightly/package/cue-sheet)
[![Stackage LTS](http://stackage.org/package/cue-sheet/badge/lts)](http://stackage.org/lts/package/cue-sheet)
![CI](https://github.com/mrkkrp/cue-sheet/workflows/CI/badge.svg?branch=master)

The library provides support for construction, rendering, and parsing of CUE
sheets.

## What is a CUE sheet?

> A cue sheet, or cue file, is a metadata file which describes how the
> tracks of a CD or DVD are laid out. Cue sheets are stored as plain text
> files and commonly have a “.cue” filename extension. CDRWIN first
> introduced cue sheets, which are now supported by many optical disc
> authoring applications and media players.

[Read more on Wikipedia](https://en.wikipedia.org/wiki/Cue_sheet_(computing)).
The description of the format can be found
[here](https://wayback.archive.org/web/20070614044112/http://www.goldenhawk.com/download/cdrwin.pdf),
scroll to the appendix A (it's closest we get to a “specification”).

## Contribution

Issues, bugs, and questions may be reported in [the GitHub issue tracker for
this project](https://github.com/mrkkrp/cue-sheet/issues).

Pull requests are also welcome.

## License

Copyright © 2016–present Mark Karpov

Distributed under BSD 3 clause license.
